//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TwinTail.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class ArchiveEntry
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public ArchiveEntry()
        {
            this.Fansubs = new HashSet<Fansub>();
        }
    
        public int Id { get; set; }
        public ArchiveStatus Status { get; set; }
        public VideoSource Source { get; set; }
        public int VideoWidth { get; set; }
        public int VideoHeight { get; set; }
        public bool IsTemporary { get; set; }
        public string Notes { get; set; }
        public Nullable<System.DateTime> DateUpdated { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Fansub> Fansubs { get; set; }
        public virtual Anime Anime { get; set; }
        public virtual Account Account { get; set; }
    }
}
